Subject: RE: SL deprecation draft

From: "Christian Huitema" <[email-masked]>
Date: Fri, 14 Nov 2003 09:26:36 -0800

So, what about a text such as:

Several IETF documents mention site local addresses [RFC2772, RFC2894,
RFC3082, RFC3111, RFC3142, RFC3177]. These mentions should be removed if
and when these documents are updated. In particular, the references to
site local addresses should be removed from the revision of the Default
Address Selection for Internet Protocol version 6 [RFC3484] and from the
revision of the Internet Protocol Version 6 (IPv6) Addressing
Architecture [RFC3513].

-- Christian Huitema

> -----Original Message-----
> From: Bob Hinden [mailto:[email-masked]]
> Sent: Thursday, November 13, 2003 3:34 PM
> To: [email-masked]
> Cc: Brian E Carpenter; Christian Huitema
> Subject: Re: SL deprecation draft
> 
> I personally don't think it is necessary to update most of these
> RFCs.  Specifically:
> 
> > > RFC2772, 6bone routing practise
> 
> The 6bone is being turned off.
> 
> > > RFC2894, router renumbering  (an example contains FEC0)
> > > RFC3111, SLP (an example contains FEC0)
> > > RFC3142, TRT (an example contains FEC0)
> 
> If it's only used in an example, then I don't think an update is
> required.  If these documents get redone for some other reason it
would be
> good to change the examples.  But it not worth the effort required to
> recycle these documents to just remove site-local from an example.
> 
> > > RFC3177, recommendation on /48, some text about site local beeing
/48
> 
> This is only a recommendation and updating it would likely open up
> Pandora's box for other changes.
> 
> > > RFC3082, Notification and Subscription for SLP, an example talks
about
> > > site local
> 
> Same as examples above.
> 
> > > RFC3484, default address selection
> 
> I think this would be good to update.
> 
> > > RFC3513, IPv6 addr architecture
> 
> Very important and work underway.
> 
> > > It seems to me that the main one to revisit is 3483.
> >[I guess he meant 3484]
> > >
> 
> So my take is that only the Address Architecture and Default Address
> Selection documents need to be listed.
> 
> Bob

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Leif Johansson <[email-masked]>
Date: Sun, 16 Nov 2003 19:59:25 +0100

Christian Huitema wrote:
| So, what about a text such as:
|
| Several IETF documents mention site local addresses [RFC2772, RFC2894,
| RFC3082, RFC3111, RFC3142, RFC3177]. These mentions should be removed if
| and when these documents are updated. In particular, the references to
| site local addresses should be removed from the revision of the Default
| Address Selection for Internet Protocol version 6 [RFC3484] and from the
| revision of the Internet Protocol Version 6 (IPv6) Addressing
| Architecture [RFC3513].
|

s/should/MUST/g imo